Package javax.help.search

# Class IndexerKit

java.lang.Object
javax.help.search.IndexerKit

All Implemented Interfaces:
  `Cloneable`

public abstract class IndexerKit extends Object implements Cloneable
Establishes the requirements of an indexing object for a type of text content. The DefaultKit acts as a factory for policy. For example, an implementation for HTML and RTF can be provided that is replaceable with other implementations.

New kits are normally created by cloning a prototype kit.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IndexBuilder`
`builder`
`protected ConfigFile`
`config`
`protected String`
`file`
`protected Locale`
`locale`

## Constructor Summary

Constructors
Constructor
Description
`IndexerKit()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`clone()`
Creates a copy of the indexer kit.
`protected abstract void`
`endStoreDocument()`
Ends the storing of the document.
`abstract String`
`getContentType()`
Gets the MIME type of the data that this kit represents support for.
`Locale`
`getLocale()`
Gets the Locale.
`abstract void`
`parse(Reader in, String file, boolean ignoreCharset, IndexBuilder builder, ConfigFile config)`
Parses content from the given stream.
`abstract int`
`parseIntoTokens(String source, int pos)`
Parses a string into tokens and stores the tokens.
`void`
`setLocale(String lang)`
Convenience method for setting the locale from a lang string Takes the lang string in the form of "language_country_variant".
`void`
`setLocale(Locale locale)`
Sets the locale for string tokenizing.
`protected abstract void`
`startStoreDocument(String file)`
Starts the storing of the dcoument.
`protected abstract void`
`storeTitle(String title)`
Stores a title in the IndexBuilder.
`protected abstract void`
`storeToken(String token, int pos)`
Stores a token in the IndexBuilder.

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### builder

protected IndexBuilder builder

### config

protected ConfigFile config

### file

protected String file

### locale

protected Locale locale

## Constructor Details

### IndexerKit

public IndexerKit()

## Method Details

### clone

public abstract Object clone()
Creates a copy of the indexer kit. This allows an implementation to serve as a prototype for others, so that they can be quickly created.

Overrides:
  `clone` in class `Object`
Returns:
  the copy

### getContentType

public abstract String getContentType()
Gets the MIME type of the data that this kit represents support for.

Returns:
  the type

### setLocale

public void setLocale(Locale locale)
Sets the locale for string tokenizing. A null locale value is valid and means that no locale has been set for this IndexerKit.

### setLocale

public void setLocale(String lang)
Convenience method for setting the locale from a lang string Takes the lang string in the form of "language_country_variant". Parses the string and creates an appropriate locale.

Parameters:
  `lang` - A string representation of a locale. If lang is null it is the same as setting the locale to null.

### getLocale

public Locale getLocale()
Gets the Locale.

### parse

public abstract void parse(Reader in, String file, boolean ignoreCharset, IndexBuilder builder, ConfigFile config) throws IOException
Parses content from the given stream. The stream is expected to be in a format appropriate for this content handler to parse into tokens according to the locale of the class. In the absense of a locale, the default locale tokenizer is used.

Parameters:
  `in` - The stream to read from.
  `file` - The file name being parsed.
  `builder` - The IndexBuilder for the full text insertion.
  `config` - The indexer configuration information.
Throws:
  `IOException` - on any I/O error.

### parseIntoTokens

public abstract int parseIntoTokens(String source, int pos)
Parses a string into tokens and stores the tokens.

### startStoreDocument

protected abstract void startStoreDocument(String file) throws Exception
Starts the storing of the dcoument.

Throws:
  `Exception`

### endStoreDocument

protected abstract void endStoreDocument() throws Exception
Ends the storing of the document.

Throws:
  `Exception`

### storeToken

protected abstract void storeToken(String token, int pos) throws Exception
Stores a token in the IndexBuilder.

Throws:
  `Exception`

### storeTitle

protected abstract void storeTitle(String title) throws Exception
Stores a title in the IndexBuilder.

Throws:
  `Exception`